org.apache.jmeter.visualizers

## Class RenderAsDocument

- java.lang.Object
- - org.apache.jmeter.visualizers.SamplerResultTab
  - - org.apache.jmeter.visualizers.RenderAsDocument

All Implemented Interfaces:
  ResultRenderer

    public class RenderAsDocument
    extends SamplerResultTab
    implements ResultRenderer

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.jmeter.visualizers.SamplerResultTab

`SamplerResultTab.RowResult`

### Field Summary

### Fields inherited from class org.apache.jmeter.visualizers.SamplerResultTab

`activateSearchExtension, CLIENT_ERROR_COLOR, REDIRECT_COLOR, REQUEST_VIEW_COMMAND, results, resultsScrollPane, rightSide, searchTextExtension, SERVER_ERROR_COLOR, TEXT_COMMAND`

### Constructor Summary

Constructors
Constructor and Description
`RenderAsDocument()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `renderResult(SampleResult sampleResult)`
`String` `toString()`

### Methods inherited from class org.apache.jmeter.visualizers.SamplerResultTab

`clearData, init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setTextOptimized, setupTabPane`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.visualizers.ResultRenderer

`clearData, init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setupTabPane`

### Constructor Detail

#### RenderAsDocument

    public RenderAsDocument()

### Method Detail

#### renderResult

    public void renderResult(SampleResult sampleResult)

Specified by:
  `renderResult` in interface `ResultRenderer`

#### toString

    public String toString()

Specified by:
  `toString` in interface `ResultRenderer`
Overrides:
  `toString` in class `Object`
Returns:
  the string to be displayed by the ComboBox